/*	Convergent Technologies - System V - May 1983	*/
/*	"@(#)init.h	1.4"	*/

extern int clkstart(),cinit(),binit(),errinit(),iinit(),inoinit();
extern int finit(), not_init();
extern gdinit();
#ifdef S2652_0
extern int pt_init(), cl_init();
#endif
extern int bswinit(),exinit(),setupclock();

/*	Array containing the addresses of the various initializing	*/
/*	routines executed by "main" at boot time.			*/

int (*init_tbl[])() = {
	inoinit,
	cinit,
	binit,
	setupclock,
	clkstart,	/* initialises the clock if poweron, otherwise
			   iinit calls setclk on reboot with the clock already
			   running */
	errinit,
	gdinit,
	finit,
	iinit,
#ifdef S2652_0
	pt_init,
	cl_init,
#endif
	bswinit,
	not_init,
	0
};
